curl --request PATCH \
--url https://workflow-app.thena.ai/api/v1/workflows/{workflowUniqueIdentifier} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"annotations": [
{
"entityType": "Ticket",
"requiredFields": {
"ticketId": "{{context.event.message.payload.ticketId}}"
},
"relations": [
"account",
"account.classification"
],
"pathToAnnotate": "context.event.message.payload.ticket"
}
],
"name": "<string>",
"triggerEvent": "<string>",
"filters": {
"{{context.name}}": {
"~starts": "T"
}
},
"workflowDefinition": [
{
"activity": {
"uniqueIdentifier": "<string>",
"autoUpgradeToLatestVersion": true,
"version": 123
},
"input": {},
"retryPolicy": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"stepIdentifier": 123,
"executionTimeout": 123,
"isSleepActivity": true,
"dependencies": [
"<string>"
],
"requireApproval": true,
"approver": {},
"filters": {}
}
],
"executingAgent": "<string>",
"teamId": "<string>",
"metadata": {}
}
'import requests
url = "https://workflow-app.thena.ai/api/v1/workflows/{workflowUniqueIdentifier}"
payload = {
"annotations": [
{
"entityType": "Ticket",
"requiredFields": { "ticketId": "{{context.event.message.payload.ticketId}}" },
"relations": ["account", "account.classification"],
"pathToAnnotate": "context.event.message.payload.ticket"
}
],
"name": "<string>",
"triggerEvent": "<string>",
"filters": { "{{context.name}}": { "~starts": "T" } },
"workflowDefinition": [
{
"activity": {
"uniqueIdentifier": "<string>",
"autoUpgradeToLatestVersion": True,
"version": 123
},
"input": {},
"retryPolicy": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"stepIdentifier": 123,
"executionTimeout": 123,
"isSleepActivity": True,
"dependencies": ["<string>"],
"requireApproval": True,
"approver": {},
"filters": {}
}
],
"executingAgent": "<string>",
"teamId": "<string>",
"metadata": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
annotations: [
{
entityType: 'Ticket',
requiredFields: {ticketId: '{{context.event.message.payload.ticketId}}'},
relations: ['account', 'account.classification'],
pathToAnnotate: 'context.event.message.payload.ticket'
}
],
name: '<string>',
triggerEvent: '<string>',
filters: {'{{context.name}}': {'~starts': 'T'}},
workflowDefinition: [
{
activity: {uniqueIdentifier: '<string>', autoUpgradeToLatestVersion: true, version: 123},
input: {},
retryPolicy: {maximumAttempts: 123, initialInterval: 123, backoffCoefficient: 123},
stepIdentifier: 123,
executionTimeout: 123,
isSleepActivity: true,
dependencies: ['<string>'],
requireApproval: true,
approver: {},
filters: {}
}
],
executingAgent: '<string>',
teamId: '<string>',
metadata: {}
})
};
fetch('https://workflow-app.thena.ai/api/v1/workflows/{workflowUniqueIdentifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "<string>",
"type": "<string>",
"subType": "<string>",
"uniqueIdentifier": "<string>",
"name": "<string>",
"version": 123,
"triggerEvent": {
"uid": "<string>",
"description": "<string>",
"eventName": "<string>",
"schema": {},
"metadata": {}
},
"filters": {},
"annotations": [
"<string>"
],
"workflowDefinition": [
{
"stepIdentifier": 123,
"activity": {
"name": "<string>",
"uniqueIdentifier": "<string>",
"version": 123,
"autoUpgradeToLatestVersion": true
},
"input": {},
"retryPolicy": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"onFailure": "<string>",
"isSleepActivity": true,
"executionTimeout": 123,
"approver": {
"uid": "<string>",
"timeout": 123
},
"dependencies": [
"<string>"
],
"filters": {},
"compensationActivity": {}
}
],
"executingAgent": "<string>",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"teamId": "<string>",
"metadata": {}
}Update a workflow
Authorizations
Enter your API key
Path Parameters
Body
The annotation for the workflow. It is used to pre-populate data from FK relations of the event data which can be used in filters and execution of the workflow.
[
{
"entityType": "Ticket",
"requiredFields": {
"ticketId": "{{context.event.message.payload.ticketId}}"
},
"relations": ["account", "account.classification"],
"pathToAnnotate": "context.event.message.payload.ticket"
}
]
The name of the workflow
The event that triggers the workflow (Accepts event UID)
Filters to applied on an event attribute to determine when the workflow should trigger. Supports:
Comparison Operators:
- ~eq: Exact match (any type)
- ~gte: Greater than or equal (numbers)
- ~lte: Less than or equal (numbers)
- ~in: Check if value is in array
String Operators:
- ~starts: String starts with
- ~ends: String ends with
- ~contains: String contains
- ~regex: Regular expression match
Logical Operators:
- ~and: All conditions must match
- ~or: Any condition must match
Example:
{ "{{context.name}}": { "~starts": "T" } }
{ "{{context.name}}": { "~starts": "T" } }
The definition of the workflow
Show child attributes
Show child attributes
The agent on behalf of which the workflow is executed
Provide team id if the visibility and execution of the workflow is to be team specific
The metadata for the workflow
Response
Operation successful
The identifier for current version of the workflow
The type of the activity
The sub type of the activity
The unique identifier of the workflow
The name identifier of the workflow
The version of the workflow
The trigger event of the workflow
Show child attributes
Show child attributes
The filters of the workflow
The annotation for the workflow
The workflow definition of the workflow
Show child attributes
Show child attributes
The executing agent of the workflow
The status of the workflow
The created at date of the workflow
The updated at date of the workflow
The created by of the workflow
The team id of the workflow
The metadata for the workflow